// FAUTEUILS.POV
// par Fabien Mosen
//
// +w640 +h480 +a0.3


#version unofficial mlpov 0.8;

#include "colors.inc"

camera { location <250,150,100> direction z*1 look_at <0,50,0> }

plane {y,0 pigment {White}}

#declare Fauteuil=union { 
  superellipsoid {<.25,.25> scale <45,10,45> translate y*10} 
  superellipsoid {<.25,.25> scale <50,5,40> translate <5,25,0>} 
  superellipsoid {<.25,.25> scale <45,15,10> translate <0,35,35>} 
  superellipsoid {<.25,.25> scale <45,15,10> translate <0,35,-35>} 
  superellipsoid {<1,.25> rotate y*90 scale <45,15,15> translate <0,45,40>} 
  superellipsoid {<1,.25> rotate y*90 scale <45,15,15> translate <0,45,-40>} 
  sphere {<45,45,40>,4} 
  sphere {<45,45,-40>,4} 
  cylinder {<35,0,35>,<35,5,35>,10} 
  cylinder {<35,0,-35>,<35,5,-35>,10}
  cylinder {<-35,0,35>,<-35,5,35>,10} 
  cylinder {<-35,0,-35>,<-35,5,-35>,10} 
  union { 
    superellipsoid {<.25,.25> scale <45,30,10> translate <0,20,35>} 
    superellipsoid {<1,.25> rotate y*90 scale <45,15,15> translate <0,45,40>} 
    rotate y*-90 rotate z*20 translate <20,50,0> 
  } 
}

object {
  Fauteuil
  #declare Col1 = SteelBlue;
  pigment {aoi color_map {[0 Col1*.7][.2 Col1*1.2][.5 Col1+White*.8][1 Col1]}}
  normal {wrinkles .4}
}

object {
  Fauteuil
  #declare Col1 = OrangeRed;
  pigment {aoi color_map {[0 Col1*.7][.2 Col1*1.2][.5 Col1+White*.8][1 Col1]}}
  normal {wrinkles .4}
  rotate y*20 translate <10,0,120>
}

object {
  Fauteuil
  #declare Col1 = Brown;
  pigment {aoi color_map {[0 Col1*.7][.2 Col1*1.2][.5 Col1+White*.8][1 Col1]}}
  normal {wrinkles .4}
  rotate y*-50 translate <100,0,-100>
}

#declare Col1 = YellowGreen*.3;
#declare Pig1 = pigment {aoi color_map {[0 Col1*.7][.2 Col1*1.2][.5 Col1+White*.8][1 Col1]}}

cylinder {
  <0,.1,0>,<0,250,0>,280
  pigment {Pig1}
  normal {wrinkles .2 scale 20}
}

torus {
  275 5 
  translate y*5 
  pigment {Pig1}  
  normal {wrinkles .2 scale 20}
} 

torus {
  275 5 
  translate y*15 
  pigment {Pig1} 
  normal {wrinkles .2 scale 20}
} 

torus {
  275 5 
  translate y*95 
  pigment {Pig1}
  normal {wrinkles .2 scale 20}
}

cylinder {
  <0,.1,0>,<0,95,0>,279 open
   #declare Col1 = Yellow*.2;
   pigment {aoi color_map {[0 Col1*.7][.2 Col1*1.2][.5 Col1+White*.8][1 Col1]}}
   normal {crackle .4 scale 5}
}

sphere {<-30,50,-100>,50 pigment {Black} finish {reflection 1}}

light_source {<200,250,100> White*2}