// HDRI.POV
//
// +w450 +h300 +a0.3


#version unofficial mlpov 0.8;

global_settings {
  radiosity {
    pretrace_start 0.08           // start pretrace at this size
    pretrace_end   0.04           // end pretrace at this size
    count 50                      // higher -> higher quality (1..1600) [35]
    nearest_count 5               // higher -> higher quality (1..10) [5]
    error_bound 1.8               // higher -> smoother, less accurate [1.8]
    recursion_limit 3             // how much interreflections are calculated (1..5+) [3]
    low_error_factor .5           // reduce error_bound during last pretrace step
    gray_threshold 0.0            // increase for weakening colors (0..1) [0]
    minimum_reuse 0.015           // reuse of old radiosity samples [0.015]
    brightness 1                  // brightness of radiosity effects (0..1) [1]

    adc_bailout 0.01/2
    normal on                     // take surface normals into account [off]
  }
}

camera { location <5,4,-2> right 1.5*x up 1*y look_at <-.4,1,0> }

sphere { 
  <-2,1,-2>,1  
  pigment { color rgb 1 }  
  finish { ambient 0 diffuse .8 reflection { .4,1 fresnel on } } 
}

sphere { 
  <0,1,-.5>,1
  pigment { color rgb 1 }  
  finish { ambient 0 diffuse .8 } 
  normal { crackle .8 scale .2 }
}

sphere { 
  <2,1,1>,1 
  pigment { color rgbf 1 }  
  finish { ambient 0 diffuse .8 reflection .2 ior 1.33 } 
}

sphere { 
  0,200
  pigment { image_map { hdr "kitchen_probe.hdr" once interpolate 2 map_type 7 } } 
  finish { ambient .3 diffuse 0 } 
  hollow
}