// PROJECTION.POV
//
// +w450 +h300 +a0.3
               
               
#version unofficial mlpov 0.8;

camera { location <0,4,-5>  look_at <0,2,0> up y right 1.5*x }

light_source { <50,50,-20> .8 }
light_source { <-50,50,-20> .1 }
light_source { <0,5,5> .5 }
                   
#declare etoile = polygon {  
  8,
  <2,0,0>, <.5,.5,0>, <0,2,0>, <-.5,.5,0>, <-2,0,0>, <-.5,-.5,0>, <0,-2,0>, <.5,-1,0> 
  rotate 90*x
  scale .3
  translate <-2,2.5,0>
}
 
object { etoile pigment { color rgb <1,0,0> } finish { ambient 1 } }
 
sphere {
  <-2,1,0>, 1
  pigment {
    projection etoile, <-2,5,0> 
    color_map { [0 color rgb <0,0,1>][1 color rgb <0,1,0>] }
  }
  finish { ambient .2 diffuse .7 } 
}

#declare truc = lathe {    
  cubic_spline
  10,
  <-2,0>, <0,0>, <5,1>, <1,2>, <4,3>, <1,4>, <2.5,5>, <1,6>, <0,8>, <-2,8> 
  scale <.25,.5,.25>
  translate <2,0,0>
}

object {
  truc
  pigment {
    projection parallel truc,y blur .4,40
    color_map { [0 color rgb <0,0,1>][1 color rgb <0,1,0>] }
  }
  finish { ambient .2 diffuse .7 } 
} 